module variaveis
implicit none 

    real*8  :: Vol, Rg, Tc, Ab, At, Ae, a, n, rop, gama,  Vola, Vol0
    real*8  :: qui
    real*8  :: L, t, dt, x, r, tol
    real*8  :: Ri, W, fmt, Ve, Fd, Fmax, Cf, Fmed, Itot, Is, Ismed
    real*8  :: pmed, pmax
    real*8  :: p, pa, pao, paux, dp, Vtc, tq, g
    real*8  :: Ai, Au, Voli, Vole, Volu, Re

    real*8 :: mg, dmdt, msai
    real*8 :: Rga, Tca

    real*8 :: Dg, Di, Da, Dgrao, Mcri
    real*8 :: r_ativ, t_inicio, mp

    real*8, dimension(:), allocatable :: Rativ, fmativ, vativ
    real*8 :: vmax, qeros

    real*8, parameter :: pi=dacos(-1d0)

    real*8 :: ra, temp
    real*8 :: f
    real*8 :: y1, y2, x1, x2, h
    integer :: indice_grao, indice_grao1
    integer :: indice2_grao, indice_grao2
    real*8 :: xgrao

    integer :: passos, i, it, itmax, grao
    integer :: j

    integer :: freq, passo
    character*128 :: texto, texto1, arquivo
    integer :: ativacao

    real*8 :: relax
    real*8 :: ho

    real*8 :: C, Et

    real*8 :: Dme, Dma
    real*8 :: Rme, Rma
    real*8 :: Lx, Lnovo, Lcig
    
    real*8 :: Dexit

    real*8 :: Pg, Mach, Fu, dFu, Ee, Ds

    integer :: prop

    integer :: tab_pq
    integer :: n_tab, flag, itab, expansion
    real*8, allocatable, dimension(:) :: P0tab, ntab, atab
    
    real*8 :: Fp, FQML, Vep, VeQML, Vet

    integer :: Ver
    character(128) :: entrada
    character(128) :: graph_gen=".\gnuplot\gnuplot "
    character(128) :: delete="del "
    integer :: nBATES, k
    real*8, allocatable, dimension(:) :: LBATES
    real*8 :: rho
    
    
end module variaveis
    